instproxy_archive
instproxy_browse
instproxy_browse_with_callback
instproxy_check_capabilities_match
instproxy_client_free
instproxy_client_get_path_for_bundle_identifier
instproxy_client_new
instproxy_client_options_add
instproxy_client_options_free
instproxy_client_options_new
instproxy_client_options_set_return_attributes
instproxy_client_start_service
instproxy_client_t
instproxy_command_get_name
instproxy_error_t
instproxy_install
instproxy_lookup
instproxy_lookup_archives
instproxy_remove_archive
instproxy_restore
INSTPROXY_SERVICE_NAME
instproxy_status_cb_t
instproxy_status_get_current_list
instproxy_status_get_error
instproxy_status_get_name
instproxy_status_get_percent_complete
instproxy_uninstall
instproxy_upgrade

## instproxy_client_new()

LIBIMOBILEDEVICE_API instproxy_error_t instproxy_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | instproxy_client_t * | client )

Connects to the installation_proxy service on the specified device.

Parameters

  device | The device to connect to
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated instproxy_client_t upon successful return.

Returns
  INSTPROXY_E_SUCCESS on success, or an INSTPROXY_E_* error value when an error occurred.